uniform sampler2D tex;

varying vec3 position;
varying vec3 normal;

void main(void)
{
   //Diffuse
   //vec3 pointToLight = normalize(vec3(gl_LightSource[0].position) - position);
   vec3 pointToLight = normalize(vec3(-1.0, 1.0, 1.0));
   float diffuseInf = dot(pointToLight, normalize(normal));
   if(diffuseInf < 0.35) diffuseInf = 0.0;
   if(diffuseInf > 0.5) diffuseInf = 0.5;
   //if(diffuseInf > 0.5) diffuseInf = 0.5;else diffuseInf = 0.0;
   
   //Specular
   vec3 pointToEye= normalize(position);
   vec3 sum = normalize(pointToEye + pointToLight);
   float specularInf = dot(normalize(normal), sum);
   
   specularInf = pow(specularInf, 32.0);
   if(specularInf > 0.5) specularInf = 1.0; else specularInf = 0.0;
   
   vec4 amb = gl_LightSource[0].ambient;
   vec4 dif = gl_LightSource[0].diffuse * diffuseInf;
   vec4 spec= gl_LightSource[0].specular * specularInf;


   vec4 color = gl_FrontLightModelProduct.sceneColor + 
      amb * gl_FrontMaterial.ambient + 
       dif * gl_FrontMaterial.diffuse + 
      spec * gl_FrontMaterial.specular;
   color = vec4(vec3(color), 1.0);
   
   color *= texture2D(tex, gl_TexCoord[0].xy);


   gl_FragColor = color;
}